io.undertow.server.handlers.builder

## Class PredicatedHandler

- java.lang.Object
- - io.undertow.server.handlers.builder.PredicatedHandler

    public class PredicatedHandler
    extends Object

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`PredicatedHandler(Predicate predicate, HandlerWrapper handler)`
`PredicatedHandler(Predicate predicate, HandlerWrapper handler, HandlerWrapper elseHandler)`

### Method Summary

All Methods Instance Methods Concrete Methods
`HandlerWrapper` `getElseHandler()`
`HandlerWrapper` `getHandler()`
`Predicate` `getPredicate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PredicatedHandler

    public PredicatedHandler(Predicate predicate,
                             HandlerWrapper handler)

#### PredicatedHandler

    public PredicatedHandler(Predicate predicate,
                             HandlerWrapper handler,
                             HandlerWrapper elseHandler)

### Method Detail

#### getPredicate

    public Predicate getPredicate()

#### getHandler

    public HandlerWrapper getHandler()

#### getElseHandler

    public HandlerWrapper getElseHandler()